// Code generated by protoc-gen-go. DO NOT EDIT.
// versions:
// 	protoc-gen-go v1.26.0
// 	protoc        v3.13.0
// source: v1/dictionary_common/enum_product.proto

package dictionary_common

import (
	protoreflect "google.golang.org/protobuf/reflect/protoreflect"
	protoimpl "google.golang.org/protobuf/runtime/protoimpl"
	reflect "reflect"
	sync "sync"
)

const (
	// Verify that this generated code is sufficiently up-to-date.
	_ = protoimpl.EnforceVersion(20 - protoimpl.MinVersion)
	// Verify that runtime/protoimpl is sufficiently up-to-date.
	_ = protoimpl.EnforceVersion(protoimpl.MaxVersion - 20)
)

type ProductProcess int32

const (
	ProductProcess_UNSPECIFIED ProductProcess = 0
	ProductProcess_RESOURCES   ProductProcess = 1
	ProductProcess_SERVICES    ProductProcess = 2
	ProductProcess_COMMODITIES ProductProcess = 3
	ProductProcess_FOOD        ProductProcess = 4
)

// Enum value maps for ProductProcess.
var (
	ProductProcess_name = map[int32]string{
		0: "UNSPECIFIED",
		1: "RESOURCES",
		2: "SERVICES",
		3: "COMMODITIES",
		4: "FOOD",
	}
	ProductProcess_value = map[string]int32{
		"UNSPECIFIED": 0,
		"RESOURCES":   1,
		"SERVICES":    2,
		"COMMODITIES": 3,
		"FOOD":        4,
	}
)

func (x ProductProcess) Enum() *ProductProcess {
	p := new(ProductProcess)
	*p = x
	return p
}

func (x ProductProcess) String() string {
	return protoimpl.X.EnumStringOf(x.Descriptor(), protoreflect.EnumNumber(x))
}

func (ProductProcess) Descriptor() protoreflect.EnumDescriptor {
	return file_v1_dictionary_common_enum_product_proto_enumTypes[0].Descriptor()
}

func (ProductProcess) Type() protoreflect.EnumType {
	return &file_v1_dictionary_common_enum_product_proto_enumTypes[0]
}

func (x ProductProcess) Number() protoreflect.EnumNumber {
	return protoreflect.EnumNumber(x)
}

// Deprecated: Use ProductProcess.Descriptor instead.
func (ProductProcess) EnumDescriptor() ([]byte, []int) {
	return file_v1_dictionary_common_enum_product_proto_rawDescGZIP(), []int{0}
}

type ProductType int32

const (
	ProductType_ProductType_UNSPECIFIED ProductType = 0
	// RESOURCES_...
	ProductType_RESOURCES_SEEDS          ProductType = 100
	ProductType_RESOURCES_FERTILIZE      ProductType = 101
	ProductType_RESOURCES_MICROFERTILIZE ProductType = 102
	ProductType_RESOURCES_CHEMICAL       ProductType = 103
	ProductType_RESOURCES_FUEL           ProductType = 104
	// PT_SERVICES_...
	ProductType_SERVICES_BANKING   ProductType = 200
	ProductType_SERVICES_INSURANCE ProductType = 201
	ProductType_SERVICES_LEGAL     ProductType = 202
	// PT_COMMODITIES_...
	ProductType_COMMODITIES_CROPS                  ProductType = 300
	ProductType_COMMODITIES_ANIMAL                 ProductType = 301
	ProductType_COMMODITIES_AQUA_CULTURE           ProductType = 302
	ProductType_COMMODITIES_PROCESSED              ProductType = 303
	ProductType_COMMODITIES_VEGETABLES_FRUIT_BERRY ProductType = 304
	// PT_FOOD_...
	ProductType_FOOD_CROPS        ProductType = 400
	ProductType_FOOD_ANIMAL       ProductType = 401
	ProductType_FOOD_AQUA_CULTURE ProductType = 402
	ProductType_FOOD_PROCESSED    ProductType = 403
)

// Enum value maps for ProductType.
var (
	ProductType_name = map[int32]string{
		0:   "ProductType_UNSPECIFIED",
		100: "RESOURCES_SEEDS",
		101: "RESOURCES_FERTILIZE",
		102: "RESOURCES_MICROFERTILIZE",
		103: "RESOURCES_CHEMICAL",
		104: "RESOURCES_FUEL",
		200: "SERVICES_BANKING",
		201: "SERVICES_INSURANCE",
		202: "SERVICES_LEGAL",
		300: "COMMODITIES_CROPS",
		301: "COMMODITIES_ANIMAL",
		302: "COMMODITIES_AQUA_CULTURE",
		303: "COMMODITIES_PROCESSED",
		304: "COMMODITIES_VEGETABLES_FRUIT_BERRY",
		400: "FOOD_CROPS",
		401: "FOOD_ANIMAL",
		402: "FOOD_AQUA_CULTURE",
		403: "FOOD_PROCESSED",
	}
	ProductType_value = map[string]int32{
		"ProductType_UNSPECIFIED":            0,
		"RESOURCES_SEEDS":                    100,
		"RESOURCES_FERTILIZE":                101,
		"RESOURCES_MICROFERTILIZE":           102,
		"RESOURCES_CHEMICAL":                 103,
		"RESOURCES_FUEL":                     104,
		"SERVICES_BANKING":                   200,
		"SERVICES_INSURANCE":                 201,
		"SERVICES_LEGAL":                     202,
		"COMMODITIES_CROPS":                  300,
		"COMMODITIES_ANIMAL":                 301,
		"COMMODITIES_AQUA_CULTURE":           302,
		"COMMODITIES_PROCESSED":              303,
		"COMMODITIES_VEGETABLES_FRUIT_BERRY": 304,
		"FOOD_CROPS":                         400,
		"FOOD_ANIMAL":                        401,
		"FOOD_AQUA_CULTURE":                  402,
		"FOOD_PROCESSED":                     403,
	}
)

func (x ProductType) Enum() *ProductType {
	p := new(ProductType)
	*p = x
	return p
}

func (x ProductType) String() string {
	return protoimpl.X.EnumStringOf(x.Descriptor(), protoreflect.EnumNumber(x))
}

func (ProductType) Descriptor() protoreflect.EnumDescriptor {
	return file_v1_dictionary_common_enum_product_proto_enumTypes[1].Descriptor()
}

func (ProductType) Type() protoreflect.EnumType {
	return &file_v1_dictionary_common_enum_product_proto_enumTypes[1]
}

func (x ProductType) Number() protoreflect.EnumNumber {
	return protoreflect.EnumNumber(x)
}

// Deprecated: Use ProductType.Descriptor instead.
func (ProductType) EnumDescriptor() ([]byte, []int) {
	return file_v1_dictionary_common_enum_product_proto_rawDescGZIP(), []int{1}
}

type FileType int32

const (
	FileType_FT_UNSPECIFIED FileType = 0
	FileType_FT_IMAGE       FileType = 1
	FileType_FT_VIDEO       FileType = 2
	FileType_FT_DOCUMENT    FileType = 3
)

// Enum value maps for FileType.
var (
	FileType_name = map[int32]string{
		0: "FT_UNSPECIFIED",
		1: "FT_IMAGE",
		2: "FT_VIDEO",
		3: "FT_DOCUMENT",
	}
	FileType_value = map[string]int32{
		"FT_UNSPECIFIED": 0,
		"FT_IMAGE":       1,
		"FT_VIDEO":       2,
		"FT_DOCUMENT":    3,
	}
)

func (x FileType) Enum() *FileType {
	p := new(FileType)
	*p = x
	return p
}

func (x FileType) String() string {
	return protoimpl.X.EnumStringOf(x.Descriptor(), protoreflect.EnumNumber(x))
}

func (FileType) Descriptor() protoreflect.EnumDescriptor {
	return file_v1_dictionary_common_enum_product_proto_enumTypes[2].Descriptor()
}

func (FileType) Type() protoreflect.EnumType {
	return &file_v1_dictionary_common_enum_product_proto_enumTypes[2]
}

func (x FileType) Number() protoreflect.EnumNumber {
	return protoreflect.EnumNumber(x)
}

// Deprecated: Use FileType.Descriptor instead.
func (FileType) EnumDescriptor() ([]byte, []int) {
	return file_v1_dictionary_common_enum_product_proto_rawDescGZIP(), []int{2}
}

type ImageQuality int32

const (
	ImageQuality_IQ_UNSPECIFIED ImageQuality = 0
	ImageQuality_IQ_DETAILED    ImageQuality = 1
	ImageQuality_IQ_COMPRESSED  ImageQuality = 2
)

// Enum value maps for ImageQuality.
var (
	ImageQuality_name = map[int32]string{
		0: "IQ_UNSPECIFIED",
		1: "IQ_DETAILED",
		2: "IQ_COMPRESSED",
	}
	ImageQuality_value = map[string]int32{
		"IQ_UNSPECIFIED": 0,
		"IQ_DETAILED":    1,
		"IQ_COMPRESSED":  2,
	}
)

func (x ImageQuality) Enum() *ImageQuality {
	p := new(ImageQuality)
	*p = x
	return p
}

func (x ImageQuality) String() string {
	return protoimpl.X.EnumStringOf(x.Descriptor(), protoreflect.EnumNumber(x))
}

func (ImageQuality) Descriptor() protoreflect.EnumDescriptor {
	return file_v1_dictionary_common_enum_product_proto_enumTypes[3].Descriptor()
}

func (ImageQuality) Type() protoreflect.EnumType {
	return &file_v1_dictionary_common_enum_product_proto_enumTypes[3]
}

func (x ImageQuality) Number() protoreflect.EnumNumber {
	return protoreflect.EnumNumber(x)
}

// Deprecated: Use ImageQuality.Descriptor instead.
func (ImageQuality) EnumDescriptor() ([]byte, []int) {
	return file_v1_dictionary_common_enum_product_proto_rawDescGZIP(), []int{3}
}

type SpectrumActionType int32

const (
	SpectrumActionType_SPT_UNSPECIFIED SpectrumActionType = 0
	SpectrumActionType_SPT_DISEASE     SpectrumActionType = 1
	SpectrumActionType_SPT_PEST        SpectrumActionType = 2
	SpectrumActionType_SPT_WEED        SpectrumActionType = 3
)

// Enum value maps for SpectrumActionType.
var (
	SpectrumActionType_name = map[int32]string{
		0: "SPT_UNSPECIFIED",
		1: "SPT_DISEASE",
		2: "SPT_PEST",
		3: "SPT_WEED",
	}
	SpectrumActionType_value = map[string]int32{
		"SPT_UNSPECIFIED": 0,
		"SPT_DISEASE":     1,
		"SPT_PEST":        2,
		"SPT_WEED":        3,
	}
)

func (x SpectrumActionType) Enum() *SpectrumActionType {
	p := new(SpectrumActionType)
	*p = x
	return p
}

func (x SpectrumActionType) String() string {
	return protoimpl.X.EnumStringOf(x.Descriptor(), protoreflect.EnumNumber(x))
}

func (SpectrumActionType) Descriptor() protoreflect.EnumDescriptor {
	return file_v1_dictionary_common_enum_product_proto_enumTypes[4].Descriptor()
}

func (SpectrumActionType) Type() protoreflect.EnumType {
	return &file_v1_dictionary_common_enum_product_proto_enumTypes[4]
}

func (x SpectrumActionType) Number() protoreflect.EnumNumber {
	return protoreflect.EnumNumber(x)
}

// Deprecated: Use SpectrumActionType.Descriptor instead.
func (SpectrumActionType) EnumDescriptor() ([]byte, []int) {
	return file_v1_dictionary_common_enum_product_proto_rawDescGZIP(), []int{4}
}

type ProductProcessValue struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Value ProductProcess `protobuf:"varint,1,opt,name=value,proto3,enum=fcp.dictionary.v1.dictionary_common.ProductProcess" json:"value,omitempty"`
}

func (x *ProductProcessValue) Reset() {
	*x = ProductProcessValue{}
	if protoimpl.UnsafeEnabled {
		mi := &file_v1_dictionary_common_enum_product_proto_msgTypes[0]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *ProductProcessValue) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*ProductProcessValue) ProtoMessage() {}

func (x *ProductProcessValue) ProtoReflect() protoreflect.Message {
	mi := &file_v1_dictionary_common_enum_product_proto_msgTypes[0]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use ProductProcessValue.ProtoReflect.Descriptor instead.
func (*ProductProcessValue) Descriptor() ([]byte, []int) {
	return file_v1_dictionary_common_enum_product_proto_rawDescGZIP(), []int{0}
}

func (x *ProductProcessValue) GetValue() ProductProcess {
	if x != nil {
		return x.Value
	}
	return ProductProcess_UNSPECIFIED
}

type ProductTypeValue struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Value ProductType `protobuf:"varint,1,opt,name=value,proto3,enum=fcp.dictionary.v1.dictionary_common.ProductType" json:"value,omitempty"`
}

func (x *ProductTypeValue) Reset() {
	*x = ProductTypeValue{}
	if protoimpl.UnsafeEnabled {
		mi := &file_v1_dictionary_common_enum_product_proto_msgTypes[1]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *ProductTypeValue) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*ProductTypeValue) ProtoMessage() {}

func (x *ProductTypeValue) ProtoReflect() protoreflect.Message {
	mi := &file_v1_dictionary_common_enum_product_proto_msgTypes[1]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use ProductTypeValue.ProtoReflect.Descriptor instead.
func (*ProductTypeValue) Descriptor() ([]byte, []int) {
	return file_v1_dictionary_common_enum_product_proto_rawDescGZIP(), []int{1}
}

func (x *ProductTypeValue) GetValue() ProductType {
	if x != nil {
		return x.Value
	}
	return ProductType_ProductType_UNSPECIFIED
}

type FileTypeValue struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Value FileType `protobuf:"varint,1,opt,name=value,proto3,enum=fcp.dictionary.v1.dictionary_common.FileType" json:"value,omitempty"`
}

func (x *FileTypeValue) Reset() {
	*x = FileTypeValue{}
	if protoimpl.UnsafeEnabled {
		mi := &file_v1_dictionary_common_enum_product_proto_msgTypes[2]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *FileTypeValue) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*FileTypeValue) ProtoMessage() {}

func (x *FileTypeValue) ProtoReflect() protoreflect.Message {
	mi := &file_v1_dictionary_common_enum_product_proto_msgTypes[2]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use FileTypeValue.ProtoReflect.Descriptor instead.
func (*FileTypeValue) Descriptor() ([]byte, []int) {
	return file_v1_dictionary_common_enum_product_proto_rawDescGZIP(), []int{2}
}

func (x *FileTypeValue) GetValue() FileType {
	if x != nil {
		return x.Value
	}
	return FileType_FT_UNSPECIFIED
}

type ImageQualityValue struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Value ImageQuality `protobuf:"varint,1,opt,name=value,proto3,enum=fcp.dictionary.v1.dictionary_common.ImageQuality" json:"value,omitempty"`
}

func (x *ImageQualityValue) Reset() {
	*x = ImageQualityValue{}
	if protoimpl.UnsafeEnabled {
		mi := &file_v1_dictionary_common_enum_product_proto_msgTypes[3]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *ImageQualityValue) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*ImageQualityValue) ProtoMessage() {}

func (x *ImageQualityValue) ProtoReflect() protoreflect.Message {
	mi := &file_v1_dictionary_common_enum_product_proto_msgTypes[3]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use ImageQualityValue.ProtoReflect.Descriptor instead.
func (*ImageQualityValue) Descriptor() ([]byte, []int) {
	return file_v1_dictionary_common_enum_product_proto_rawDescGZIP(), []int{3}
}

func (x *ImageQualityValue) GetValue() ImageQuality {
	if x != nil {
		return x.Value
	}
	return ImageQuality_IQ_UNSPECIFIED
}

type SpectrumActionTypeValue struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Value SpectrumActionType `protobuf:"varint,1,opt,name=value,proto3,enum=fcp.dictionary.v1.dictionary_common.SpectrumActionType" json:"value,omitempty"`
}

func (x *SpectrumActionTypeValue) Reset() {
	*x = SpectrumActionTypeValue{}
	if protoimpl.UnsafeEnabled {
		mi := &file_v1_dictionary_common_enum_product_proto_msgTypes[4]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *SpectrumActionTypeValue) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*SpectrumActionTypeValue) ProtoMessage() {}

func (x *SpectrumActionTypeValue) ProtoReflect() protoreflect.Message {
	mi := &file_v1_dictionary_common_enum_product_proto_msgTypes[4]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use SpectrumActionTypeValue.ProtoReflect.Descriptor instead.
func (*SpectrumActionTypeValue) Descriptor() ([]byte, []int) {
	return file_v1_dictionary_common_enum_product_proto_rawDescGZIP(), []int{4}
}

func (x *SpectrumActionTypeValue) GetValue() SpectrumActionType {
	if x != nil {
		return x.Value
	}
	return SpectrumActionType_SPT_UNSPECIFIED
}

var File_v1_dictionary_common_enum_product_proto protoreflect.FileDescriptor

var file_v1_dictionary_common_enum_product_proto_rawDesc = []byte{
	0x0a, 0x27, 0x76, 0x31, 0x2f, 0x64, 0x69, 0x63, 0x74, 0x69, 0x6f, 0x6e, 0x61, 0x72, 0x79, 0x5f,
	0x63, 0x6f, 0x6d, 0x6d, 0x6f, 0x6e, 0x2f, 0x65, 0x6e, 0x75, 0x6d, 0x5f, 0x70, 0x72, 0x6f, 0x64,
	0x75, 0x63, 0x74, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x12, 0x23, 0x66, 0x63, 0x70, 0x2e, 0x64,
	0x69, 0x63, 0x74, 0x69, 0x6f, 0x6e, 0x61, 0x72, 0x79, 0x2e, 0x76, 0x31, 0x2e, 0x64, 0x69, 0x63,
	0x74, 0x69, 0x6f, 0x6e, 0x61, 0x72, 0x79, 0x5f, 0x63, 0x6f, 0x6d, 0x6d, 0x6f, 0x6e, 0x22, 0x60,
	0x0a, 0x13, 0x50, 0x72, 0x6f, 0x64, 0x75, 0x63, 0x74, 0x50, 0x72, 0x6f, 0x63, 0x65, 0x73, 0x73,
	0x56, 0x61, 0x6c, 0x75, 0x65, 0x12, 0x49, 0x0a, 0x05, 0x76, 0x61, 0x6c, 0x75, 0x65, 0x18, 0x01,
	0x20, 0x01, 0x28, 0x0e, 0x32, 0x33, 0x2e, 0x66, 0x63, 0x70, 0x2e, 0x64, 0x69, 0x63, 0x74, 0x69,
	0x6f, 0x6e, 0x61, 0x72, 0x79, 0x2e, 0x76, 0x31, 0x2e, 0x64, 0x69, 0x63, 0x74, 0x69, 0x6f, 0x6e,
	0x61, 0x72, 0x79, 0x5f, 0x63, 0x6f, 0x6d, 0x6d, 0x6f, 0x6e, 0x2e, 0x50, 0x72, 0x6f, 0x64, 0x75,
	0x63, 0x74, 0x50, 0x72, 0x6f, 0x63, 0x65, 0x73, 0x73, 0x52, 0x05, 0x76, 0x61, 0x6c, 0x75, 0x65,
	0x22, 0x5a, 0x0a, 0x10, 0x50, 0x72, 0x6f, 0x64, 0x75, 0x63, 0x74, 0x54, 0x79, 0x70, 0x65, 0x56,
	0x61, 0x6c, 0x75, 0x65, 0x12, 0x46, 0x0a, 0x05, 0x76, 0x61, 0x6c, 0x75, 0x65, 0x18, 0x01, 0x20,
	0x01, 0x28, 0x0e, 0x32, 0x30, 0x2e, 0x66, 0x63, 0x70, 0x2e, 0x64, 0x69, 0x63, 0x74, 0x69, 0x6f,
	0x6e, 0x61, 0x72, 0x79, 0x2e, 0x76, 0x31, 0x2e, 0x64, 0x69, 0x63, 0x74, 0x69, 0x6f, 0x6e, 0x61,
	0x72, 0x79, 0x5f, 0x63, 0x6f, 0x6d, 0x6d, 0x6f, 0x6e, 0x2e, 0x50, 0x72, 0x6f, 0x64, 0x75, 0x63,
	0x74, 0x54, 0x79, 0x70, 0x65, 0x52, 0x05, 0x76, 0x61, 0x6c, 0x75, 0x65, 0x22, 0x54, 0x0a, 0x0d,
	0x46, 0x69, 0x6c, 0x65, 0x54, 0x79, 0x70, 0x65, 0x56, 0x61, 0x6c, 0x75, 0x65, 0x12, 0x43, 0x0a,
	0x05, 0x76, 0x61, 0x6c, 0x75, 0x65, 0x18, 0x01, 0x20, 0x01, 0x28, 0x0e, 0x32, 0x2d, 0x2e, 0x66,
	0x63, 0x70, 0x2e, 0x64, 0x69, 0x63, 0x74, 0x69, 0x6f, 0x6e, 0x61, 0x72, 0x79, 0x2e, 0x76, 0x31,
	0x2e, 0x64, 0x69, 0x63, 0x74, 0x69, 0x6f, 0x6e, 0x61, 0x72, 0x79, 0x5f, 0x63, 0x6f, 0x6d, 0x6d,
	0x6f, 0x6e, 0x2e, 0x46, 0x69, 0x6c, 0x65, 0x54, 0x79, 0x70, 0x65, 0x52, 0x05, 0x76, 0x61, 0x6c,
	0x75, 0x65, 0x22, 0x5c, 0x0a, 0x11, 0x49, 0x6d, 0x61, 0x67, 0x65, 0x51, 0x75, 0x61, 0x6c, 0x69,
	0x74, 0x79, 0x56, 0x61, 0x6c, 0x75, 0x65, 0x12, 0x47, 0x0a, 0x05, 0x76, 0x61, 0x6c, 0x75, 0x65,
	0x18, 0x01, 0x20, 0x01, 0x28, 0x0e, 0x32, 0x31, 0x2e, 0x66, 0x63, 0x70, 0x2e, 0x64, 0x69, 0x63,
	0x74, 0x69, 0x6f, 0x6e, 0x61, 0x72, 0x79, 0x2e, 0x76, 0x31, 0x2e, 0x64, 0x69, 0x63, 0x74, 0x69,
	0x6f, 0x6e, 0x61, 0x72, 0x79, 0x5f, 0x63, 0x6f, 0x6d, 0x6d, 0x6f, 0x6e, 0x2e, 0x49, 0x6d, 0x61,
	0x67, 0x65, 0x51, 0x75, 0x61, 0x6c, 0x69, 0x74, 0x79, 0x52, 0x05, 0x76, 0x61, 0x6c, 0x75, 0x65,
	0x22, 0x68, 0x0a, 0x17, 0x53, 0x70, 0x65, 0x63, 0x74, 0x72, 0x75, 0x6d, 0x41, 0x63, 0x74, 0x69,
	0x6f, 0x6e, 0x54, 0x79, 0x70, 0x65, 0x56, 0x61, 0x6c, 0x75, 0x65, 0x12, 0x4d, 0x0a, 0x05, 0x76,
	0x61, 0x6c, 0x75, 0x65, 0x18, 0x01, 0x20, 0x01, 0x28, 0x0e, 0x32, 0x37, 0x2e, 0x66, 0x63, 0x70,
	0x2e, 0x64, 0x69, 0x63, 0x74, 0x69, 0x6f, 0x6e, 0x61, 0x72, 0x79, 0x2e, 0x76, 0x31, 0x2e, 0x64,
	0x69, 0x63, 0x74, 0x69, 0x6f, 0x6e, 0x61, 0x72, 0x79, 0x5f, 0x63, 0x6f, 0x6d, 0x6d, 0x6f, 0x6e,
	0x2e, 0x53, 0x70, 0x65, 0x63, 0x74, 0x72, 0x75, 0x6d, 0x41, 0x63, 0x74, 0x69, 0x6f, 0x6e, 0x54,
	0x79, 0x70, 0x65, 0x52, 0x05, 0x76, 0x61, 0x6c, 0x75, 0x65, 0x2a, 0x59, 0x0a, 0x0e, 0x50, 0x72,
	0x6f, 0x64, 0x75, 0x63, 0x74, 0x50, 0x72, 0x6f, 0x63, 0x65, 0x73, 0x73, 0x12, 0x0f, 0x0a, 0x0b,
	0x55, 0x4e, 0x53, 0x50, 0x45, 0x43, 0x49, 0x46, 0x49, 0x45, 0x44, 0x10, 0x00, 0x12, 0x0d, 0x0a,
	0x09, 0x52, 0x45, 0x53, 0x4f, 0x55, 0x52, 0x43, 0x45, 0x53, 0x10, 0x01, 0x12, 0x0c, 0x0a, 0x08,
	0x53, 0x45, 0x52, 0x56, 0x49, 0x43, 0x45, 0x53, 0x10, 0x02, 0x12, 0x0f, 0x0a, 0x0b, 0x43, 0x4f,
	0x4d, 0x4d, 0x4f, 0x44, 0x49, 0x54, 0x49, 0x45, 0x53, 0x10, 0x03, 0x12, 0x08, 0x0a, 0x04, 0x46,
	0x4f, 0x4f, 0x44, 0x10, 0x04, 0x2a, 0xf4, 0x03, 0x0a, 0x0b, 0x50, 0x72, 0x6f, 0x64, 0x75, 0x63,
	0x74, 0x54, 0x79, 0x70, 0x65, 0x12, 0x1b, 0x0a, 0x17, 0x50, 0x72, 0x6f, 0x64, 0x75, 0x63, 0x74,
	0x54, 0x79, 0x70, 0x65, 0x5f, 0x55, 0x4e, 0x53, 0x50, 0x45, 0x43, 0x49, 0x46, 0x49, 0x45, 0x44,
	0x10, 0x00, 0x12, 0x13, 0x0a, 0x0f, 0x52, 0x45, 0x53, 0x4f, 0x55, 0x52, 0x43, 0x45, 0x53, 0x5f,
	0x53, 0x45, 0x45, 0x44, 0x53, 0x10, 0x64, 0x12, 0x17, 0x0a, 0x13, 0x52, 0x45, 0x53, 0x4f, 0x55,
	0x52, 0x43, 0x45, 0x53, 0x5f, 0x46, 0x45, 0x52, 0x54, 0x49, 0x4c, 0x49, 0x5a, 0x45, 0x10, 0x65,
	0x12, 0x1c, 0x0a, 0x18, 0x52, 0x45, 0x53, 0x4f, 0x55, 0x52, 0x43, 0x45, 0x53, 0x5f, 0x4d, 0x49,
	0x43, 0x52, 0x4f, 0x46, 0x45, 0x52, 0x54, 0x49, 0x4c, 0x49, 0x5a, 0x45, 0x10, 0x66, 0x12, 0x16,
	0x0a, 0x12, 0x52, 0x45, 0x53, 0x4f, 0x55, 0x52, 0x43, 0x45, 0x53, 0x5f, 0x43, 0x48, 0x45, 0x4d,
	0x49, 0x43, 0x41, 0x4c, 0x10, 0x67, 0x12, 0x12, 0x0a, 0x0e, 0x52, 0x45, 0x53, 0x4f, 0x55, 0x52,
	0x43, 0x45, 0x53, 0x5f, 0x46, 0x55, 0x45, 0x4c, 0x10, 0x68, 0x12, 0x15, 0x0a, 0x10, 0x53, 0x45,
	0x52, 0x56, 0x49, 0x43, 0x45, 0x53, 0x5f, 0x42, 0x41, 0x4e, 0x4b, 0x49, 0x4e, 0x47, 0x10, 0xc8,
	0x01, 0x12, 0x17, 0x0a, 0x12, 0x53, 0x45, 0x52, 0x56, 0x49, 0x43, 0x45, 0x53, 0x5f, 0x49, 0x4e,
	0x53, 0x55, 0x52, 0x41, 0x4e, 0x43, 0x45, 0x10, 0xc9, 0x01, 0x12, 0x13, 0x0a, 0x0e, 0x53, 0x45,
	0x52, 0x56, 0x49, 0x43, 0x45, 0x53, 0x5f, 0x4c, 0x45, 0x47, 0x41, 0x4c, 0x10, 0xca, 0x01, 0x12,
	0x16, 0x0a, 0x11, 0x43, 0x4f, 0x4d, 0x4d, 0x4f, 0x44, 0x49, 0x54, 0x49, 0x45, 0x53, 0x5f, 0x43,
	0x52, 0x4f, 0x50, 0x53, 0x10, 0xac, 0x02, 0x12, 0x17, 0x0a, 0x12, 0x43, 0x4f, 0x4d, 0x4d, 0x4f,
	0x44, 0x49, 0x54, 0x49, 0x45, 0x53, 0x5f, 0x41, 0x4e, 0x49, 0x4d, 0x41, 0x4c, 0x10, 0xad, 0x02,
	0x12, 0x1d, 0x0a, 0x18, 0x43, 0x4f, 0x4d, 0x4d, 0x4f, 0x44, 0x49, 0x54, 0x49, 0x45, 0x53, 0x5f,
	0x41, 0x51, 0x55, 0x41, 0x5f, 0x43, 0x55, 0x4c, 0x54, 0x55, 0x52, 0x45, 0x10, 0xae, 0x02, 0x12,
	0x1a, 0x0a, 0x15, 0x43, 0x4f, 0x4d, 0x4d, 0x4f, 0x44, 0x49, 0x54, 0x49, 0x45, 0x53, 0x5f, 0x50,
	0x52, 0x4f, 0x43, 0x45, 0x53, 0x53, 0x45, 0x44, 0x10, 0xaf, 0x02, 0x12, 0x27, 0x0a, 0x22, 0x43,
	0x4f, 0x4d, 0x4d, 0x4f, 0x44, 0x49, 0x54, 0x49, 0x45, 0x53, 0x5f, 0x56, 0x45, 0x47, 0x45, 0x54,
	0x41, 0x42, 0x4c, 0x45, 0x53, 0x5f, 0x46, 0x52, 0x55, 0x49, 0x54, 0x5f, 0x42, 0x45, 0x52, 0x52,
	0x59, 0x10, 0xb0, 0x02, 0x12, 0x0f, 0x0a, 0x0a, 0x46, 0x4f, 0x4f, 0x44, 0x5f, 0x43, 0x52, 0x4f,
	0x50, 0x53, 0x10, 0x90, 0x03, 0x12, 0x10, 0x0a, 0x0b, 0x46, 0x4f, 0x4f, 0x44, 0x5f, 0x41, 0x4e,
	0x49, 0x4d, 0x41, 0x4c, 0x10, 0x91, 0x03, 0x12, 0x16, 0x0a, 0x11, 0x46, 0x4f, 0x4f, 0x44, 0x5f,
	0x41, 0x51, 0x55, 0x41, 0x5f, 0x43, 0x55, 0x4c, 0x54, 0x55, 0x52, 0x45, 0x10, 0x92, 0x03, 0x12,
	0x13, 0x0a, 0x0e, 0x46, 0x4f, 0x4f, 0x44, 0x5f, 0x50, 0x52, 0x4f, 0x43, 0x45, 0x53, 0x53, 0x45,
	0x44, 0x10, 0x93, 0x03, 0x22, 0x04, 0x08, 0x01, 0x10, 0x63, 0x22, 0x05, 0x08, 0x69, 0x10, 0xc7,
	0x01, 0x22, 0x06, 0x08, 0xcb, 0x01, 0x10, 0xab, 0x02, 0x22, 0x06, 0x08, 0xb1, 0x02, 0x10, 0x8f,
	0x03, 0x22, 0x09, 0x08, 0x94, 0x03, 0x10, 0xff, 0xff, 0xff, 0xff, 0x07, 0x2a, 0x4b, 0x0a, 0x08,
	0x46, 0x69, 0x6c, 0x65, 0x54, 0x79, 0x70, 0x65, 0x12, 0x12, 0x0a, 0x0e, 0x46, 0x54, 0x5f, 0x55,
	0x4e, 0x53, 0x50, 0x45, 0x43, 0x49, 0x46, 0x49, 0x45, 0x44, 0x10, 0x00, 0x12, 0x0c, 0x0a, 0x08,
	0x46, 0x54, 0x5f, 0x49, 0x4d, 0x41, 0x47, 0x45, 0x10, 0x01, 0x12, 0x0c, 0x0a, 0x08, 0x46, 0x54,
	0x5f, 0x56, 0x49, 0x44, 0x45, 0x4f, 0x10, 0x02, 0x12, 0x0f, 0x0a, 0x0b, 0x46, 0x54, 0x5f, 0x44,
	0x4f, 0x43, 0x55, 0x4d, 0x45, 0x4e, 0x54, 0x10, 0x03, 0x2a, 0x46, 0x0a, 0x0c, 0x49, 0x6d, 0x61,
	0x67, 0x65, 0x51, 0x75, 0x61, 0x6c, 0x69, 0x74, 0x79, 0x12, 0x12, 0x0a, 0x0e, 0x49, 0x51, 0x5f,
	0x55, 0x4e, 0x53, 0x50, 0x45, 0x43, 0x49, 0x46, 0x49, 0x45, 0x44, 0x10, 0x00, 0x12, 0x0f, 0x0a,
	0x0b, 0x49, 0x51, 0x5f, 0x44, 0x45, 0x54, 0x41, 0x49, 0x4c, 0x45, 0x44, 0x10, 0x01, 0x12, 0x11,
	0x0a, 0x0d, 0x49, 0x51, 0x5f, 0x43, 0x4f, 0x4d, 0x50, 0x52, 0x45, 0x53, 0x53, 0x45, 0x44, 0x10,
	0x02, 0x2a, 0x56, 0x0a, 0x12, 0x53, 0x70, 0x65, 0x63, 0x74, 0x72, 0x75, 0x6d, 0x41, 0x63, 0x74,
	0x69, 0x6f, 0x6e, 0x54, 0x79, 0x70, 0x65, 0x12, 0x13, 0x0a, 0x0f, 0x53, 0x50, 0x54, 0x5f, 0x55,
	0x4e, 0x53, 0x50, 0x45, 0x43, 0x49, 0x46, 0x49, 0x45, 0x44, 0x10, 0x00, 0x12, 0x0f, 0x0a, 0x0b,
	0x53, 0x50, 0x54, 0x5f, 0x44, 0x49, 0x53, 0x45, 0x41, 0x53, 0x45, 0x10, 0x01, 0x12, 0x0c, 0x0a,
	0x08, 0x53, 0x50, 0x54, 0x5f, 0x50, 0x45, 0x53, 0x54, 0x10, 0x02, 0x12, 0x0c, 0x0a, 0x08, 0x53,
	0x50, 0x54, 0x5f, 0x57, 0x45, 0x45, 0x44, 0x10, 0x03, 0x42, 0x73, 0x0a, 0x2c, 0x63, 0x6f, 0x6d,
	0x2e, 0x66, 0x63, 0x70, 0x2e, 0x61, 0x70, 0x69, 0x73, 0x2e, 0x64, 0x69, 0x63, 0x74, 0x69, 0x6f,
	0x6e, 0x61, 0x72, 0x79, 0x2e, 0x76, 0x31, 0x2e, 0x64, 0x69, 0x63, 0x74, 0x69, 0x6f, 0x6e, 0x61,
	0x72, 0x79, 0x5f, 0x63, 0x6f, 0x6d, 0x6d, 0x6f, 0x6e, 0x50, 0x01, 0x5a, 0x3e, 0x67, 0x69, 0x74,
	0x6c, 0x61, 0x62, 0x2e, 0x63, 0x6f, 0x6d, 0x2f, 0x66, 0x63, 0x70, 0x61, 0x72, 0x74, 0x6e, 0x65,
	0x72, 0x73, 0x2f, 0x61, 0x70, 0x69, 0x73, 0x2f, 0x67, 0x65, 0x6e, 0x2f, 0x64, 0x69, 0x63, 0x74,
	0x69, 0x6f, 0x6e, 0x61, 0x72, 0x79, 0x2f, 0x76, 0x31, 0x2f, 0x64, 0x69, 0x63, 0x74, 0x69, 0x6f,
	0x6e, 0x61, 0x72, 0x79, 0x5f, 0x63, 0x6f, 0x6d, 0x6d, 0x6f, 0x6e, 0xba, 0x02, 0x00, 0x62, 0x06,
	0x70, 0x72, 0x6f, 0x74, 0x6f, 0x33,
}

var (
	file_v1_dictionary_common_enum_product_proto_rawDescOnce sync.Once
	file_v1_dictionary_common_enum_product_proto_rawDescData = file_v1_dictionary_common_enum_product_proto_rawDesc
)

func file_v1_dictionary_common_enum_product_proto_rawDescGZIP() []byte {
	file_v1_dictionary_common_enum_product_proto_rawDescOnce.Do(func() {
		file_v1_dictionary_common_enum_product_proto_rawDescData = protoimpl.X.CompressGZIP(file_v1_dictionary_common_enum_product_proto_rawDescData)
	})
	return file_v1_dictionary_common_enum_product_proto_rawDescData
}

var file_v1_dictionary_common_enum_product_proto_enumTypes = make([]protoimpl.EnumInfo, 5)
var file_v1_dictionary_common_enum_product_proto_msgTypes = make([]protoimpl.MessageInfo, 5)
var file_v1_dictionary_common_enum_product_proto_goTypes = []interface{}{
	(ProductProcess)(0),             // 0: fcp.dictionary.v1.dictionary_common.ProductProcess
	(ProductType)(0),                // 1: fcp.dictionary.v1.dictionary_common.ProductType
	(FileType)(0),                   // 2: fcp.dictionary.v1.dictionary_common.FileType
	(ImageQuality)(0),               // 3: fcp.dictionary.v1.dictionary_common.ImageQuality
	(SpectrumActionType)(0),         // 4: fcp.dictionary.v1.dictionary_common.SpectrumActionType
	(*ProductProcessValue)(nil),     // 5: fcp.dictionary.v1.dictionary_common.ProductProcessValue
	(*ProductTypeValue)(nil),        // 6: fcp.dictionary.v1.dictionary_common.ProductTypeValue
	(*FileTypeValue)(nil),           // 7: fcp.dictionary.v1.dictionary_common.FileTypeValue
	(*ImageQualityValue)(nil),       // 8: fcp.dictionary.v1.dictionary_common.ImageQualityValue
	(*SpectrumActionTypeValue)(nil), // 9: fcp.dictionary.v1.dictionary_common.SpectrumActionTypeValue
}
var file_v1_dictionary_common_enum_product_proto_depIdxs = []int32{
	0, // 0: fcp.dictionary.v1.dictionary_common.ProductProcessValue.value:type_name -> fcp.dictionary.v1.dictionary_common.ProductProcess
	1, // 1: fcp.dictionary.v1.dictionary_common.ProductTypeValue.value:type_name -> fcp.dictionary.v1.dictionary_common.ProductType
	2, // 2: fcp.dictionary.v1.dictionary_common.FileTypeValue.value:type_name -> fcp.dictionary.v1.dictionary_common.FileType
	3, // 3: fcp.dictionary.v1.dictionary_common.ImageQualityValue.value:type_name -> fcp.dictionary.v1.dictionary_common.ImageQuality
	4, // 4: fcp.dictionary.v1.dictionary_common.SpectrumActionTypeValue.value:type_name -> fcp.dictionary.v1.dictionary_common.SpectrumActionType
	5, // [5:5] is the sub-list for method output_type
	5, // [5:5] is the sub-list for method input_type
	5, // [5:5] is the sub-list for extension type_name
	5, // [5:5] is the sub-list for extension extendee
	0, // [0:5] is the sub-list for field type_name
}

func init() { file_v1_dictionary_common_enum_product_proto_init() }
func file_v1_dictionary_common_enum_product_proto_init() {
	if File_v1_dictionary_common_enum_product_proto != nil {
		return
	}
	if !protoimpl.UnsafeEnabled {
		file_v1_dictionary_common_enum_product_proto_msgTypes[0].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*ProductProcessValue); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_v1_dictionary_common_enum_product_proto_msgTypes[1].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*ProductTypeValue); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_v1_dictionary_common_enum_product_proto_msgTypes[2].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*FileTypeValue); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_v1_dictionary_common_enum_product_proto_msgTypes[3].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*ImageQualityValue); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_v1_dictionary_common_enum_product_proto_msgTypes[4].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*SpectrumActionTypeValue); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
	}
	type x struct{}
	out := protoimpl.TypeBuilder{
		File: protoimpl.DescBuilder{
			GoPackagePath: reflect.TypeOf(x{}).PkgPath(),
			RawDescriptor: file_v1_dictionary_common_enum_product_proto_rawDesc,
			NumEnums:      5,
			NumMessages:   5,
			NumExtensions: 0,
			NumServices:   0,
		},
		GoTypes:           file_v1_dictionary_common_enum_product_proto_goTypes,
		DependencyIndexes: file_v1_dictionary_common_enum_product_proto_depIdxs,
		EnumInfos:         file_v1_dictionary_common_enum_product_proto_enumTypes,
		MessageInfos:      file_v1_dictionary_common_enum_product_proto_msgTypes,
	}.Build()
	File_v1_dictionary_common_enum_product_proto = out.File
	file_v1_dictionary_common_enum_product_proto_rawDesc = nil
	file_v1_dictionary_common_enum_product_proto_goTypes = nil
	file_v1_dictionary_common_enum_product_proto_depIdxs = nil
}
